import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:flutter/widgets.dart';
import 'package:responsive_builder/responsive_builder.dart';

mixin CrossPlatformMixin {

  Navigator webNavigator(context);
  Navigator mobileNavigator(context);
  Navigator tabletNavigator(context);
  Navigator desktopNavigator(context);

  Widget appInstanceBuilder(BuildContext context, Widget navigator) {
    if (kIsWeb)
      return webNavigator(context);

    else
      return ScreenTypeLayout.builder(
        mobile: (ctx) => mobileNavigator(ctx),
        desktop: (ctx) => desktopNavigator(ctx),
        tablet: (ctx) => tabletNavigator(ctx),
      );
  }
}